/*!
 * @file synchronizeable_uint.h
 * @brief Definition of SynchronizeableInt
*/

#include "synchronizeable_var/synchronizeable_int.h"

#ifndef _SYNCHRONIZEABLE_UINT_H
#define _SYNCHRONIZEABLE_UINT_H

class SynchronizeableUInt : public SynchronizeableInt {

  public:
    SynchronizeableUInt( unsigned int * ptrIn, unsigned int * ptrOut, std::string name, int permission = 0, int priority = 0 );
    virtual ~SynchronizeableUInt();

};

#endif /* _PROTO_CLASS_H */
